import { openBlock as o, createElementBlock as u, normalizeClass as i, renderSlot as m, useCssVars as d } from "vue";
import { _ as p } from "./_plugin-vue_export-helper.e9cbb45e.mjs";
const t = {
  xs: parseInt(getComputedStyle(document.documentElement).getPropertyValue("--breakpoint-xs"), 10),
  sm: parseInt(getComputedStyle(document.documentElement).getPropertyValue("--breakpoint-sm"), 10),
  md: parseInt(getComputedStyle(document.documentElement).getPropertyValue("--breakpoint-md"), 10),
  lg: parseInt(getComputedStyle(document.documentElement).getPropertyValue("--breakpoint-lg"), 10),
  xl: parseInt(getComputedStyle(document.documentElement).getPropertyValue("--breakpoint-xl"), 10),
  xxl: parseInt(getComputedStyle(document.documentElement).getPropertyValue("--breakpoint-xxl"), 10)
}, c = {
  data() {
    return {
      breakpoints: this.getBreakpointData()
    };
  },
  mounted() {
    window.addEventListener("resize", this.updateScreen), this.updateScreen();
  },
  beforeDestroy() {
    window.removeEventListener("resize", this.updateScreen);
  },
  methods: {
    getBreakpointData() {
      const e = window.innerWidth, r = {
        current: null,
        greaterOrEqual: {
          xs: e >= t.xs,
          sm: e >= t.sm,
          md: e >= t.md,
          lg: e >= t.lg,
          xl: e >= t.xl,
          xxl: e >= t.xxl
        },
        smallerOrEqual: {
          xs: e < t.sm,
          sm: e < t.md,
          md: e < t.lg,
          lg: e < t.xl,
          xl: e < t.xxl,
          xxl: e < 1 / 0
        }
      };
      return e >= t.xs && e < t.sm ? r.current = "xs" : e >= t.sm && e < t.md ? r.current = "sm" : e >= t.md && e < t.lg ? r.current = "md" : e >= t.lg && e < t.xl ? r.current = "lg" : e >= t.xl && e < t.xxl ? r.current = "xl" : e >= t.xxl && (r.current = "xxl"), r;
    },
    updateScreen() {
      this.breakpoints = this.getBreakpointData();
    }
  }
};
const l = {
  mixins: [c],
  inject: {
    rowGap: {
      default: 0
    }
  },
  props: {
    width: {
      type: Number,
      required: !0,
      validator: (e) => e > 0 && e < 13
    },
    xs: {
      type: Number,
      default: null,
      validator: (e) => e > 0 && e < 13
    },
    sm: {
      type: Number,
      default: null,
      validator: (e) => e > 0 && e < 13
    },
    md: {
      type: Number,
      default: null,
      validator: (e) => e > 0 && e < 13
    },
    lg: {
      type: Number,
      default: null,
      validator: (e) => e > 0 && e < 13
    },
    xl: {
      type: Number,
      default: null,
      validator: (e) => e > 0 && e < 13
    },
    xxl: {
      type: Number,
      default: null,
      validator: (e) => e > 0 && e < 13
    }
  },
  computed: {
    childrenInRow() {
      return this.$parent;
    },
    classObject() {
      return {
        [`lv-grid-column--${this.width}`]: !0,
        [`lv-grid-column--xs-${this.xs}`]: this.xs && this.breakpoints.smallerOrEqual.xs,
        [`lv-grid-column--sm-${this.sm}`]: this.sm && this.breakpoints.smallerOrEqual.sm,
        [`lv-grid-column--md-${this.md}`]: this.md && this.breakpoints.smallerOrEqual.md
      };
    }
  }
}, n = () => {
  d((e) => ({
    c985a6f6: e.rowGap
  }));
}, s = l.setup;
l.setup = s ? (e, r) => (n(), s(e, r)) : n;
const x = l;
function g(e, r, _, f, h, a) {
  return o(), u("div", {
    class: i(["lv-grid-column", a.classObject])
  }, [
    m(e.$slots, "default")
  ], 2);
}
const k = /* @__PURE__ */ p(x, [["render", g]]);
export {
  k as default
};
