import { t as n, f as a } from "./tippy.esm.bd78ac88.mjs";
import { openBlock as i, createElementBlock as l, normalizeClass as c, createElementVNode as t, renderSlot as r, createVNode as p, Transition as d, withCtx as u, normalizeStyle as h } from "vue";
import { _ as f } from "./_plugin-vue_export-helper.e9cbb45e.mjs";
const v = `
<svg width="16" height="6">
    <path class="lv-popover__arrow-border" d="M0 6s1.796-.013 4.67-3.615C5.851.9 6.93.006 8 0c1.07-.006 2.148.887 3.343 2.385C14.233 6.005 16 6 16 6H0z"/>
    <path class="lv-popover__arrow-fill" d="m0 7s2 0 5-4c1-1 2-2 3-2 1 0 2 1 3 2 3 4 5 4 5 4h-16z"/>
</svg>
`.trim(), g = {
  props: {
    trigger: {
      type: String,
      default: "mouseenter"
    },
    triggerTarget: {
      type: Object,
      default: null
    },
    placement: {
      type: String,
      default: "auto",
      validator: (e) => ["bottom", "left", "right", "top", "auto"].includes(e)
    },
    showArrow: {
      type: Boolean,
      default: !0
    },
    visible: {
      type: Boolean,
      default: !0
    },
    padding: {
      type: String,
      default: "1rem"
    },
    show: {
      type: Boolean,
      default: !1
    },
    interactive: {
      type: Boolean,
      default: !1
    },
    followCursor: {
      type: Boolean,
      default: !1
    }
  },
  computed: {
    classObject() {
      return {
        [`lv-popover--placement-${this.placement}`]: !0
      };
    }
  },
  data() {
    return {
      instance: null,
      contentChangeObserver: null
    };
  },
  watch: {
    show: {
      handler(e) {
        this.trigger === "manual" && this.instance && (e ? this.instance.show() : this.instance.hide());
      },
      immediate: !0
    }
  },
  mounted() {
    this.createTooltip(), this.contentChangeObserver = new MutationObserver(() => {
      this.instance.setContent(this.$refs.tooltip.innerHTML);
    }), this.contentChangeObserver.observe(
      this.$refs.tooltip,
      { attributes: !0, childList: !0, characterData: !0, subtree: !0 }
    );
  },
  beforeUnmount() {
    this.contentChangeObserver.disconnect();
  },
  methods: {
    createTooltip() {
      this.instance = n(this.$refs.reference, {
        triggerTarget: this.triggerTarget,
        trigger: this.trigger,
        interactive: this.interactive,
        theme: "libvue",
        arrow: this.showArrow ? v : !1,
        allowHTML: !0,
        plugins: [a],
        content: this.$refs.tooltip.innerHTML,
        placement: this.placement,
        followCursor: this.followCursor,
        animation: "shift-toward-subtle",
        duration: 100
      });
    }
  }
}, _ = {
  ref: "reference",
  class: "lv-popover__reference"
}, m = {
  ref: "tooltip",
  style: { display: "none" },
  class: "lv-popover__tooltip"
};
function w(e, b, o, y, C, s) {
  return i(), l("div", {
    ref: "popover",
    class: c(["lv-popover", s.classObject]),
    role: "dialog"
  }, [
    t("div", _, [
      r(e.$slots, "reference")
    ], 512),
    p(d, { name: "fade" }, {
      default: u(() => [
        t("div", m, [
          t("div", {
            class: "lv-popover__content",
            style: h(`padding: ${o.padding}`)
          }, [
            r(e.$slots, "content")
          ], 4)
        ], 512)
      ]),
      _: 3
    })
  ], 2);
}
const B = /* @__PURE__ */ f(g, [["render", w]]);
export {
  B as default
};
